org.red5.io.object

## Class Deserializer

- java.lang.Object
- - org.red5.io.object.Deserializer

    public class Deserializer
    extends Object

The Deserializer class reads data input and handles the data according to the core data types

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard, Codegent Ltd (luke@codegent.com)

### Constructor Summary

Constructors
Constructor and Description
`Deserializer()`

### Method Summary

Methods
`<T> T` `deserialize(Input in, Type target)` Deserializes the input parameter and returns an Object which must then be cast to a core data type
`protected Object` `postProcessExtension(Object result, Type target)` Post processes the result TODO Extension Point

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Deserializer

    public Deserializer()

### Method Detail

#### deserialize

    public <T> T deserialize(Input in,
                    Type target)

Deserializes the input parameter and returns an Object which must then be cast to a core data type

Type Parameters:
  `T` - type
Parameters:
  `in` - input
  `target` - target
Returns:
  Object object

#### postProcessExtension

    protected Object postProcessExtension(Object result,
                              Type target)

Post processes the result TODO Extension Point

Parameters:
  `result` - result
  `target` - target
Returns:
  object